Package uk.ac.starlink.vo

## Class AbstractAdqlExample

- java.lang.Object
- - uk.ac.starlink.vo.AbstractAdqlExample

- All Implemented Interfaces:
    `AdqlExample`

      public abstract class AbstractAdqlExample
      extends java.lang.Object
      implements AdqlExample

  Represents a type of example ADQL query. The query text can be generated as a function of given service metadata.
  Since:
    29 Mar 2011
  Author:
    Mark Taylor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractAdqlExample.Breaker` | Interface for configurable line breaking.
    `static class` | `AbstractAdqlExample.TableWithCols` | Encapsulates metadata for a table and a selection of colum names from it.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractAdqlExample​(java.lang.String name, java.lang.String description)` | Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AbstractAdqlExample.Breaker` | `createBreaker​(boolean lineBreaks)` | Returns a breaker instance suitable for a given line break policy.
    `static AdqlExample` | `createDummyExample​()` | Returns a dummy example which never provides any text.
    `static AdqlExample` | `createSimpleExample​(java.lang.String name, java.lang.String description, java.lang.String[] textLines)` | Creates a static example.
    `static AdqlExample[]` | `createSomeExamples​()` | Returns a selection of examples.
    `static AdqlExample[]` | `createTapSchemaExamples​()` | Returns a selection of examples using the TAP_SCHEMA tables.
    `java.lang.String` | `getDescription​()` | Returns this example's description.
    `java.net.URL` | `getInfoUrl​()` | Returns a documentation URL associated with this example if available.
    `java.lang.String` | `getName​()` | Returns this example's name.
    `static AbstractAdqlExample.TableWithCols[]` | `getRaDecTables​(TableMeta[] tables, int max)` | Identifies tables in a given array which contain RA/Dec positional columns.
    `static TableMeta[]` | `toTables​(TableMeta table, TableMeta[] tables)` | Utility function to turn a single table and a table array into a single array.

    - ### Methods inherited from interface uk.ac.starlink.vo.AdqlExample

      `getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractAdqlExample

          protected AbstractAdqlExample​(java.lang.String name,
                                        java.lang.String description)

      Constructor.
      Parameters:
        `name` - example name
        `description` - example short description

  - ### Method Detail

    - #### getName

          public java.lang.String getName​()

      Description copied from interface: `AdqlExample`
      Returns this example's name.
      Specified by:
        `getName` in interface `AdqlExample`
      Returns:
        name

    - #### getDescription

          public java.lang.String getDescription​()

      Description copied from interface: `AdqlExample`
      Returns this example's description.
      Specified by:
        `getDescription` in interface `AdqlExample`
      Returns:
        short description

    - #### getInfoUrl

          public java.net.URL getInfoUrl​()

      Description copied from interface: `AdqlExample`
      Returns a documentation URL associated with this example if available.
      Specified by:
        `getInfoUrl` in interface `AdqlExample`
      Returns:
        documentation URL (suitable for browser display), or null

    - #### createBreaker

          public static AbstractAdqlExample.Breaker createBreaker​(boolean lineBreaks)

      Returns a breaker instance suitable for a given line break policy.
      Parameters:
        `lineBreaks` - whether line breaks are required
      Returns:
        breaker instance

    - #### toTables

          public static TableMeta[] toTables​(TableMeta table,
                                             TableMeta[] tables)

      Utility function to turn a single table and a table array into a single array. The input single table may or may not appear in the input table array; it will not appear twice in the output array.
      Parameters:
        `table` - single input table, or null
        `tables` - input table array
      Returns:
        output table array

    - #### getRaDecTables

          public static AbstractAdqlExample.TableWithCols[] getRaDecTables​(TableMeta[] tables,
                                                                           int max)

      Identifies tables in a given array which contain RA/Dec positional columns.
      Parameters:
        `tables` - candidate table list
        `max` - the maximum number of output tables required
      Returns:
        array of tables with RA/Dec columns

    - #### createDummyExample

          public static AdqlExample createDummyExample​()

      Returns a dummy example which never provides any text.
      Returns:
        dummy example

    - #### createSomeExamples

          public static AdqlExample[] createSomeExamples​()

      Returns a selection of examples.
      Returns:
        example list

    - #### createTapSchemaExamples

          public static AdqlExample[] createTapSchemaExamples​()

      Returns a selection of examples using the TAP_SCHEMA tables.
      Returns:
        example list

    - #### createSimpleExample

          public static AdqlExample createSimpleExample​(java.lang.String name,
                                                        java.lang.String description,
                                                        java.lang.String[] textLines)

      Creates a static example. Only name, description and static example text are supplied.
      Parameters:
        `name` - example name
        `description` - example short description
        `textLines` - lines of ADQL text
      Returns:
        example

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.